| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::PtrFunctor0< R > Struct Template Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/functors.h>`

Inheritance diagram for Tp::PtrFunctor0< R >:
[legend]

## Public Types

typedef R(* | FunctionType) ()
typedef R | ResultType

## Public Member Functions

| PtrFunctor0 (FunctionType fn)
ResultType | operator() () const

## Public Attributes

FunctionType | fn

## Member Typedef Documentation

## § FunctionType

template<class R >

typedef R(* Tp::PtrFunctor0< R >::FunctionType) ()

## § ResultType

template<class R >

typedef R Tp::PtrFunctor0< R >::ResultType

## Constructor & Destructor Documentation

## § PtrFunctor0()

template<class R >

Tp::PtrFunctor0< R >::PtrFunctor0 | ( | FunctionType | fn | ) |

inline

## Member Function Documentation

## § operator()()

template<class R >

ResultType Tp::PtrFunctor0< R >::operator() | ( |  | ) | const

inline

## Member Data Documentation

## § fn

template<class R >

FunctionType Tp::PtrFunctor0< R >::fn